changeset 3298:aaf82ff88c82

[project @ 1999-10-19 17:58:31 by jwe]
author jwe
date Tue, 19 Oct 1999 17:58:32 +0000
parents b68ef5dec3bd
children 5d971d0323f8
files ChangeLog autogen.sh doc/interpreter/Makefile.in
diffstat 3 files changed, 46 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+1999-10-19  Geoff Jacobsen <geoffj@casquet.inet.net.nz>
+
+	* autogen.sh: New file.
+
 1999-10-19  John W. Eaton  <jwe@bevo.che.wisc.edu>
 
 	* octMakefile.in: Use `$(MAKE) -C dir' instead of `cd dir; $(MAKE)'.
new file mode 100755
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,41 @@
+#! /bin/sh
+# autogen.sh
+# Run this to generate all the initial makefiles, etc.
+
+# copied from the accelerated glx project
+
+echo "calling autoconf and autoheader..."
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+        echo "You must have autoconf installed to build Octave."
+        echo "Download the appropriate package for your distribution,"
+        echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+        exit 1
+}
+
+(autoheader --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+        echo "You must have autoheader installed to build Octave."
+        echo "Download the appropriate package for your distribution,"
+        echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+        exit 1
+}
+
+for i in `find . -name configure.in -print`; do (
+    cd `dirname $i`
+    pwd
+    autoconf 
+    autoheader
+); done
+
+echo Done.cc
+
+./configure "$@"
+
+if [ -f cvs.motd ]; then
+  echo "ATTENTION CVS Users!"
+  echo ""
+  cat cvs.motd
+  echo ""
+fi
--- a/doc/interpreter/Makefile.in
+++ b/doc/interpreter/Makefile.in
@@ -24,7 +24,7 @@
 	cp-idx.txi data.txi diffeq.txi emacs.txi errors.txi \
 	eval.txi expr.txi fn-idx.txi func.txi gpl.txi \
 	grammar.txi image.txi install.txi intro.txi io.txi \
-	linalg.txi matrix.txi nonlin.txi numbers.txi octave.txi \
+	linalg.txi matrix.txi nonlin.txi numbers.txi \
 	op-idx.txi optim.txi plot.txi poly.txi preface.txi \
 	quad.txi set.txi signal.txi stats.txi stmt.txi \
 	strings.txi struct.txi system.txi tips.txi var.txi \